diff --git a/target/linux/x86/alix2/target.mk b/target/linux/x86/alix2/target.mk
index 35fad36..2bfde6b 100644
--- a/target/linux/x86/alix2/target.mk
+++ b/target/linux/x86/alix2/target.mk
@@ -10,7 +10,9 @@ DEFAULT_PACKAGES += \
 			kmod-i2c-core kmod-i2c-gpio \
 			kmod-i2c-algo-bit kmod-i2c-algo-pca kmod-i2c-algo-pcf \
 			kmod-i2c-scx200-acb \
-			kmod-usb-core kmod-usb2 kmod-usb-ohci \
+			kmod-usb-core kmod-usb2 kmod-usb-ohci kmod-usb-serial \
+			kmod-usb-serial-option comgt kmod-usb-storage \
+			kmod-fs-ext4 kmod-nls-cp437 kmod-nls-iso8859-1 e2fsprogs \
 			kmod-cfg80211 kmod-mac80211 \
 			kmod-mppe kmod-pppoe kmod-pppol2tp \
 			kmod-ath5k kmod-ath9k \
diff --git a/target/linux/x86/ep80579/target.mk b/target/linux/x86/ep80579/target.mk
index 00fe1ab..a74f99d 100644
--- a/target/linux/x86/ep80579/target.mk
+++ b/target/linux/x86/ep80579/target.mk
@@ -1,6 +1,11 @@
 BOARDNAME:=Intel EP80579
 DEFAULT_PACKAGES += kmod-ep80579-can kmod-ep80579-eth kmod-ep80579-misc \
-			kmod-usb-core kmod-usb2 kmod-usb-hid kmod-usb-uhci
+			kmod-usb-core kmod-usb2 kmod-usb-hid kmod-usb-uhci kmod-usb-serial \
+			kmod-usb-serial-option comgt kmod-usb-storage \
+			kmod-fs-ext4 kmod-nls-cp437 kmod-nls-iso8859-1 e2fsprogs \
+			kmod-cfg80211 kmod-mac80211 \
+			kmod-mppe kmod-pppoe kmod-pppol2tp \
+			kmod-ath5k kmod-ath9k
 
 define Target/Description
 	Build firmware images for Intel EP80579 based boards
diff --git a/target/linux/x86/generic/profiles/000-Generic.mk b/target/linux/x86/generic/profiles/000-Generic.mk
index 90f989a..a781475 100644
--- a/target/linux/x86/generic/profiles/000-Generic.mk
+++ b/target/linux/x86/generic/profiles/000-Generic.mk
@@ -9,7 +9,8 @@ define Profile/Generic
   NAME:=Generic
   PACKAGES:=kmod-3c59x kmod-e100 kmod-e1000 kmod-natsemi kmod-ne2k-pci \
 	kmod-pcnet32 kmod-8139too kmod-r8169 kmod-sis900 kmod-tg3 \
-	kmod-via-rhine kmod-via-velocity
+	kmod-via-rhine kmod-via-velocity kmod-cfg80211 kmod-mac80211 \
+	kmod-ath5k kmod-ath9k
 endef
 
 define Profile/Generic/Description
diff --git a/target/linux/x86/generic/profiles/Soekris45xx.mk b/target/linux/x86/generic/profiles/Soekris45xx.mk
index d1d88c6..fc783de 100644
--- a/target/linux/x86/generic/profiles/Soekris45xx.mk
+++ b/target/linux/x86/generic/profiles/Soekris45xx.mk
@@ -7,7 +7,8 @@
 
 define Profile/Soekris45xx
   NAME:=Soekris Net45xx
-  PACKAGES:=kmod-natsemi kmod-leds-net48xx kmod-wdt-sc520
+  PACKAGES:=kmod-natsemi kmod-leds-net48xx kmod-wdt-sc520 kmod-cfg80211 kmod-mac80211 \
+	kmod-ath5k kmod-ath9k
 endef
 
 define Profile/Soekris45xx/Description
diff --git a/target/linux/x86/generic/profiles/Soekris48xx.mk b/target/linux/x86/generic/profiles/Soekris48xx.mk
index 66bafbf..df2ef76 100644
--- a/target/linux/x86/generic/profiles/Soekris48xx.mk
+++ b/target/linux/x86/generic/profiles/Soekris48xx.mk
@@ -7,7 +7,9 @@
 
 define Profile/Soekris48xx
   NAME:=Soekris Net48xx
-  PACKAGES:=kmod-i2c-scx200 kmod-natsemi kmod-leds-net48xx kmod-gpio-scx200 kmod-wdt-scx200 kmod-hwmon-pc87360
+  PACKAGES:=kmod-i2c-scx200 kmod-natsemi kmod-leds-net48xx kmod-gpio-scx200 \
+	kmod-wdt-scx200 kmod-hwmon-pc87360 kmod-cfg80211 kmod-mac80211 \
+	kmod-ath5k kmod-ath9k
 endef
 
 define Profile/Soekris48xx/Description
diff --git a/target/linux/x86/generic/profiles/Wrap.mk b/target/linux/x86/generic/profiles/Wrap.mk
index 62532ac..9fd17d3 100644
--- a/target/linux/x86/generic/profiles/Wrap.mk
+++ b/target/linux/x86/generic/profiles/Wrap.mk
@@ -7,7 +7,9 @@
 
 define Profile/Wrap
   NAME:=PCEngines WRAP
-  PACKAGES:=kmod-i2c-scx200 kmod-natsemi kmod-leds-wrap kmod-gpio-scx200 kmod-wdt-scx200 kmod-hwmon-pc87360
+  PACKAGES:=kmod-i2c-scx200 kmod-natsemi kmod-leds-wrap kmod-gpio-scx200 \
+	kmod-wdt-scx200 kmod-hwmon-pc87360 kmod-cfg80211 kmod-mac80211 \
+	kmod-ath5k kmod-ath9k
 endef
 
 define Profile/Wrap/Description
diff --git a/target/linux/x86/geos/target.mk b/target/linux/x86/geos/target.mk
index 1a65436..f4f9755 100644
--- a/target/linux/x86/geos/target.mk
+++ b/target/linux/x86/geos/target.mk
@@ -10,7 +10,9 @@ DEFAULT_PACKAGES += \
             kmod-i2c-core kmod-i2c-gpio \
             kmod-i2c-algo-bit kmod-i2c-algo-pca kmod-i2c-algo-pcf \
             kmod-i2c-scx200-acb \
-            kmod-usb-core kmod-usb2 kmod-usb-ohci \
+            kmod-usb-core kmod-usb2 kmod-usb-ohci kmod-usb-serial \
+            kmod-usb-serial-option comgt kmod-usb-storage \
+            kmod-fs-ext4 kmod-nls-cp437 kmod-nls-iso8859-1 e2fsprogs \
             kmod-cfg80211 kmod-mac80211 \
             kmod-mppe kmod-pppoa kmod-pppol2tp \
             kmod-ath5k kmod-ath9k \
diff --git a/target/linux/x86/net5501/target.mk b/target/linux/x86/net5501/target.mk
index 5040143..1dbf65b 100644
--- a/target/linux/x86/net5501/target.mk
+++ b/target/linux/x86/net5501/target.mk
@@ -9,7 +9,9 @@ DEFAULT_PACKAGES += kmod-crypto-hw-geode kmod-crypto-ocf \
 			kmod-i2c-core kmod-i2c-gpio \
 			kmod-i2c-algo-bit kmod-i2c-algo-pca kmod-i2c-algo-pcf \
 			kmod-i2c-scx200-acb \
-			kmod-usb-core kmod-usb2 kmod-usb-ohci \
+			kmod-usb-core kmod-usb2 kmod-usb-ohci kmod-usb-serial \
+			kmod-usb-serial-option comgt kmod-usb-storage \
+			kmod-fs-ext4 kmod-nls-cp437 kmod-nls-iso8859-1 e2fsprogs \
 			kmod-cfg80211 kmod-mac80211 \
 			kmod-mppe kmod-pppoe kmod-pppoa kmod-pppol2tp \
 			kmod-ath kmod-ath5k kmod-ath9k \
diff --git a/target/linux/x86/thincan/target.mk b/target/linux/x86/thincan/target.mk
index cd127a4..ae4b8a2 100644
--- a/target/linux/x86/thincan/target.mk
+++ b/target/linux/x86/thincan/target.mk
@@ -19,8 +19,15 @@ DEFAULT_PACKAGES:=\
 	kmod-fs-ext4 \
 	kmod-usb-core \
 	kmod-usb-ohci \
+	kmod-usb-serial \
+	kmod-usb-serial-option \
+	comgt \
 	kmod-usb-hid \
 	kmod-usb-storage \
+	kmod-fs-ext4 \
+	kmod-nls-cp437 \
+	kmod-nls-iso8859-1 \
+	e2fsprogs \
 	kmod-usb2 \
 	kmod-sound-core \
 	kmod-sound-cs5535audio \
